Book_1_Chapter_9_Lilies_for_the_River_daughter = class(Window);

function Book_1_Chapter_9_Lilies_for_the_River_daughter: GetName()
	return "Book 1, Chapter 9: Lilies for the River-daughter";
end

function Book_1_Chapter_9_Lilies_for_the_River_daughter: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_9_Lilies_for_the_River_daughter: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 9: Lírios para a filha do Rio"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Tom Bombadil-32,6S, 57,3W-Tom Bombadil's House-Old Forest");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nMinha Fruta Dourada está fora na primavera dela, e eu estava indo caçar lírio! Não tenho tempo para perseguir pássaros. Mas oh agora! Aragorn é um nome que eu conheço e amigo do Velho Tom!\n\n'Ouça então minha oferta: enquanto o velho Tom Bombadil procura por corvos azedos, você colherá lírios para minha linda. Eu vi alguns ao longo do rio, apenas um pulo e um pulo de distância. Apenas siga até que, toque um ding dillo, você encontre Old Man Willow!\n\n— Observe aquele velho Salgueiro Cinzento. Ele é um cantor poderoso. Ele vai cantá-lo para dormir e afogá-lo, se você não tomar cuidado.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nStrider orientou você a falar com Tom Bombadil, o mestre da Floresta Velha, para pedir sua ajuda para rastrear o crebain que fugiu para a floresta.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Colete grandes lírios (0/4)\nTraga os lírios para Tom Bombadil\nO rio flui para o oeste da casa de Tom Bombadil.\n\nVocê encontrou Tom Bombadil e falou com a estranha criatura. Embora no início ele não estivesse disposto a encontrar o crebain, ele finalmente cedeu, se você realizasse uma tarefa que ele considerava muito mais importante. Ele deseja que você colete lírios do rio, perto de alguém chamado Old Man Willow .\n\nTom Bombadil : 'Onde estão os lírios que preciso para minha linda dama? Apenas branco para minha Fruta Dourada, e folhas verdes!'\nGrandes lírios coletados\nTom Bombadil : 'Lírios brancos para a filha do Rio! Você é mais forte do que o povo hobbit se for mais forte do que Willow-man! Nem um lírio esmagado, nem uma folha dobrada!\n— O velho Tom é um sujeito alegre, mas sabe quando é hora de dançar ou de ir à caça. Ele encontrou seus pássaros e nenhum para breve. Se você os procura, procure-os agora, a menos que queira dormir sob a grama verde!");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nDesça a colina para o rio\nColete 4 lírios grandes do Old Man Willow (não chegue muito perto do salgueiro gigantesco) [32.9S, 58.1W]\nRetorne a Tom Bombadil\nObserve seu nível de poder ao se aproximar do Old Man Willow. Se cair a zero, você cai em um sono permanente! A abordagem mais segura é entrar correndo, pegar um lírio ou dois e sair da influência do Velho Willow; repita até ter todos os lírios.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_9_Lilies_for_the_River_daughter:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_9_Lilies_for_the_River_daughter()); 